﻿using KB1390_DragDropSample_TwoControls.Models;
using System.Collections.ObjectModel;

namespace KB1390_DragDropSample_TwoControls.ViewModels
{
    public class TaskViewModel
    {
        public ObservableCollection<TaskItem> Tasks1 { get; set; }
        public ObservableCollection<TaskItem> Tasks2 { get; set; }

        public TaskViewModel()
        {
            this.Tasks1 = generateTasks();
            this.Tasks2 = new ObservableCollection<TaskItem>();
        }

        private ObservableCollection<TaskItem> generateTasks()
        {
            var tasks = new ObservableCollection<TaskItem>();

            tasks.Add(new TaskItem
            {
                Id = 1,
                Title = "タスク１",
                Assignee = "鈴木達也"
            });
            tasks.Add(new TaskItem
            {
                Id = 2,
                Title = "タスク２",
                Assignee = "大宮翔太"
            });
            tasks.Add(new TaskItem
            {
                Id = 3,
                Title = "タスク３",
                Assignee = "美並紗代"
            });
            tasks.Add(new TaskItem
            {
                Id = 4,
                Title = "タスク４",
                Assignee = "相川昌"
            });

            return tasks;
        }
    }
}
